/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:14pm
Filepath: scripts\Items\artifacts\champion spawns\NeirasScimitar.cs
Lines of code: 42

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class NeirasScimitar : Scimitar
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public NeirasScimitar()
		{
			Hue = 33;
			Name = "Neira's Scimitar";
			WeaponAttributes.MageWeapon=30;
			Attributes.SpellChanneling=1;
			Attributes.AttackChance = 30;
			Attributes.WeaponDamage = 50;
		}

		public NeirasScimitar( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version==0)
			{
				WeaponAttributes.HitLightning = 0;
				WeaponAttributes.HitFireball = 0;
				Attributes.AttackChance = 30;
				Attributes.WeaponDamage = 50;
				WeaponAttributes.MageWeapon=30;
				Attributes.SpellChanneling=1;				
			}
		}
	}
}